### Name: lmom.diff
### Title: Difference Between L-moments of the Distribution and the
###   L-moments of the Data
### Aliases: lmom.diff
### Keywords: distribution

### ** Examples

  # The first three moment differences are zero because the GLO is only 
  # fit to these and not the higher moments.
  lmr <- lmom.ub(rnorm(40))
  para <- lmom2par(lmr, type = 'glo')
  lmom.diff(par2lmom(para),lmr)

  # The first two moment differences are zero because the Normal is only 
  # fit to these and not the higher moments.
  lmr <- lmom.ub(rnorm(40))
  lmr <- lmorph(lmr)
  para <- parnor(lmr)
  lmom.diff(lmomnor(para),lmr)




